openSUSE Security Update: Security update for python-djangorestframework
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0338-1
Rating:             important
References:         #1177205 
Cross-References:   CVE-2020-25626
CVSS scores:
                    CVE-2020-25626 (NVD) : 6.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
                    CVE-2020-25626 (SUSE): 7.1 CVSS:3.1/AV:N/AC:H/PR:L/UI:R/S:C/C:L/I:H/A:L

Affected Products:
                    openSUSE Backports SLE-15-SP2
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for python-djangorestframework fixes the following issues:

   Update to 3.11.2

   * Security: Drop urlize_quoted_links template tag in favour of Django's
     built-in urlize. Removes a XSS vulnerability for some kinds of content
     in the browsable API. (boo#1177205, CVE-2020-25626)
   * update Django for APIs book to 3.0 edition
   * decode base64 credentials as utf8; adjust tests
   * Remove compat urls for Django < 2.0

   This update was imported from the openSUSE:Leap:15.2:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Backports SLE-15-SP2:

      zypper in -t patch openSUSE-2021-338=1



Package List:

   - openSUSE Backports SLE-15-SP2 (noarch):

      python3-djangorestframework-3.11.2-bp152.2.3.1


References:

   https://www.suse.com/security/cve/CVE-2020-25626.html
   https://bugzilla.suse.com/1177205